Bug 247084 - Initscript Review
Summary: Initscript Review
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: up-imapproxy (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords: FutureFeature
Depends On: 460583
Blocks: InitscriptStatus
TreeView+ depends on / blocked
 
Reported: 2007-07-05 14:01 UTC by Harald Hoyer
Modified: 2008-08-31 14:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-31 14:14:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harald Hoyer 2007-07-05 14:01:06 UTC
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.

Comment 1 Bug Zapper 2008-04-04 13:18:32 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 2 Rakesh Pandit 2008-08-28 19:51:12 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=460583
Filed update 1.2.6 review request, will deal with this in review.

Comment 3 John Poelstra 2008-08-29 05:15:02 UTC
changing version to rawhide and adding FutureFeature so it doesn't get closed EOL

Comment 4 Rakesh Pandit 2008-08-31 14:14:50 UTC
his is fixed by bz #460583. I fixed and build in package review itself.


Note You need to log in before you can comment on or make changes to this bug.